/***
@author	8boomgaa
@date	2010/03/05
@descr	sets a tao marker onto the circle of prayer field
*/

/**
@form	gui_set_tao_onto_prayer(+ListWithColor)
@descr	sets a tao marker onto the circle of prayer field
*/
gui_set_tao_onto_prayer(List):-
	free(@taoMarkerOnPrayer),
	tao_marker_color2list(Color,List), % is in 'choose_tao_marker.pl'
	file(taomarker_small, Color, TaoMarkerSmall),
	new(@taoMarkerOnPrayer,bitmap(TaoMarkerSmall)),
	prayerfield(Index),
	tile(Index,Xbase,Ybase,_),
	X is Xbase + 86,
	Y is Ybase + 86,
	send(@playground,display,@taoMarkerOnPrayer,point(X,Y)).

gui_delete_tao_from_prayer:-
	free(@taoMarkerOnPrayer).
